routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});
Route::resource('moveis', App\Http\Controllers\MoveisController::class);
Route::resource('category', App\Http\Controllers\CategoryController::class);

Route::middleware(['auth:sanctum', 'verified'])->get('/dashboard', function () {
    return view('dashboard');
})->name('dashboard');



Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
//route::get('category','App\Http\Controllers\CategoryController@index');
//route::get('add-category','App\Http\Controllers\CategoryController@create');
//route::put('/add-category','App\Http\Controllers\CategoryController@');

app/Models/Category.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use app\models\Moveis;

class Category extends Model
{
    use HasFactory;

    protected $fillable = ['name'];

    public function movies()
    {
        return $this->HasMany(Moveis::class);
    }
}

app/Http/Controllers/CategoryController.php
<?php

namespace App\Http\Controllers;

use App\Models\Category;
use Illuminate\Http\Request;

class CategoryController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $category = Category::all();
        return view('Categories.index', compact('category'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('Categories.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'name' => 'required|min:5'
        ]);
        $category = Category::create($request->all());
        return redirect()->route('category.index')->with('success', 'category added successfully');
    }

    /**
     * Display the specified resource.
     *

     */
    public function show($id)
    {
        $category = Category::findorfail($id);
        return view('Categories.show', compact('category'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Category  $moveis
     * @return \Illuminate\Http\Response
     */
    public function edit($category)
    {
        $category = Category::findorfail($category);
        //dd($m);
        return view('Categories.edit', compact('category'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Category  $moveis
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $category)
    {
        $request->validate([
            'name' => 'required|min:5'
        ]);
        //  dd($request->all());
        $category = Category::findorfail($category);
        //$moveiss = Moveis::update($request->all());
        $category->update($request->all());
        return redirect()->route('category.index')->with('success', 'Category updated successfully');
    }



    public function destroy($id)
    {
        Category::where('id', $id)->delete();
        return redirect()->route('category.index')->with('success', 'category deleted successfully');
    }
}

resources/views/Categories/create.blade.php
@extends('move.layout')
@section('content')
    <div class="container">
        <img src="/images/feature.jpg" alt="...">


        <form action="{{ route('category.store') }}" method="POST">
            @csrf
            <div class="form-group ">
                <label for="exampleFormControlInput1">Category name</label>
                <input type="text" class="form-control" name="name" placeholder="Category name">
            </div>

            <div class="form-group ">
                <button type="submit" class="btn btn-primary" >save</button>
            </div>


        </form>

    </div>
@endsection

resources/views/Categories/edit.blade.php
@extends('move.layout')
@section('content')
    <div class="container">
        <img src="/images/feature.jpg" alt="...">


        <form action="{{ route('category.update', $category->id) }}" method="POST">
            @csrf
            @method('put')
            <div class="form-group ">
                <label for="exampleFormControlInput1">Category name</label>
                <input type="text"  value="{{ $category->name }}" class="form-control" name="name" placeholder="Category name">
            </div>

            <div class="form-group ">
                <button type="submit" class="btn btn-primary" >save</button>
            </div>


        </form>

    </div>
@endsection

resources/views/Categories/index.blade.php
@extends('move.layout')
@section('content')

    <div class="jumbotron container">
        <img src="/images/feature.jpg" alt="...">

        <br>
        <p class="lead">You can add category here... </p>

        <a class="btn btn-primary btn-lg" href="{{ route('moveis.create') }}" role="button">Add Movie</a>
        <a class="btn btn-primary btn-lg" href="{{ route('category.create') }}" role="button">Add Category</a>
    </div>
    <div class="container">
        @if ($message = Session::get('success'))
            <div class="alert alert-primary" role="alert">
                {{ $message }}
            </div>
        @endif
    </div>

    <div class="container">
        <table class="table">
            <thead class="thead-dark">
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">category name</th>
                    <th scope="col">Date created</th>
                    <th scope="col" style="width: 400px">Actions</th>
                </tr>
            </thead>
            <tbody>

                @foreach ($category as $item)
                    <tr>
                        <th scope="row">{{ $item->id }}</th>
                        <td>{{ $item->name }}</td>
                        <td>{{ $item->created_at->diffForHumans() }}</td>
                        <td>
                            <div class="row">
                                <div class="col-sm">
                                    <a class="btn btn-success" href="{{ route('category.edit', $item->id) }}"> Edit </a>
                                </div>
                                <div class="col-sm">
                                    <a class="btn btn-primary" href="{{ route('category.show', $item->id) }}"> Show </a>
                                </div>
                                <div class="col-sm">
                                    <form action="{{ route('category.destroy', $item->id) }}" method="post">
                                        @method('DELETE')
                                        @csrf
                                        <button type="submit" class="btn btn-danger">delete </button>
                                    </form>
                                </div>
                            </div>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
        <br><br><br><br><br>
    </div>
@endsection

resources/views/Categories/show.blade.php
@extends('move.layout')
@section('content')
    <div class="container">
        <img src="/images/feature.jpg" alt="...">


        <form action="{{ route('category.show', $category->id) }}" method="POST">
            @csrf
            <div class="form-group ">
                <label for="exampleFormControlInput1">Category name</label>
                <input type="text" class="form-control"  value={{ $category->name }} name="name" placeholder="Category name">
            </div>

            <div class="form-group ">
                <button type="submit" class="btn btn-primary">save</button>
            </div>


        </form>

    </div>
@endsection